package com.ruoyi.project.demo.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class RecordEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 记录表唯一标识
     */
    @ApiModelProperty("记录表唯一标识")
    private Integer id;
    /**
     * 记录导出时间
     */
    @ApiModelProperty("记录导出时间")
    private Date recordTime;
    /**
     * 原始word文件名称
     */
    @ApiModelProperty("原始word文件名称")
    private String oldWordName;
    /**
     * 原始备份word文件名称 存于d://files
     */
    @ApiModelProperty("原始备份word文件名称 存于d://files")
    private String name;

    /**
     * 当前页
     */
    @ApiModelProperty("当前页")
    private int page = 1;
    /**
     * 查询条数
     */
    @ApiModelProperty("查询条数")
    private int limit = 10;

    /**
     * 查询条数
     */
    @ApiModelProperty("总条数")
    private int total = 0;

    /**
     * 逻辑删除
     */
    @ApiModelProperty("逻辑删除")
    private boolean del = false;


}
