package com.ruoyi.project.demo.service.service;

import com.ruoyi.project.demo.domain.RecordEntity;
import io.swagger.models.auth.In;

import java.util.List;

/**
 * FileName: RecordService
 * DetailedDescription： 记录表接口层 （service）
 *
 * @author cry
 * @version 1.00
 * @Date 2022-07-09
 */
public interface RecordService {
    /**
     * 查询
     *
     * @param recordEntity 实体类
     * @return
     */
    List<RecordEntity> getRecord(RecordEntity recordEntity);

    /**
     * 添加
     *
     * @param recordEntity 实体类
     * @return 是否成功
     */
    Integer insertRecord(RecordEntity recordEntity);

    /**
     * 修改
     *
     * @param recordEntity 实体类
     * @return 是否成功
     */
    Integer updateRecord(RecordEntity recordEntity);

    /**
     * 删除
     *
     * @param recordEntity 实体类
     * @return 是否成功
     */
    Integer removeRecord(RecordEntity recordEntity);
}
